Back to Quick Responsive Slideshows Support

GreyGhost
GreyGhost

I'm getting the following error when trying to install Quick Responsive Slide Shows.....

Update failed

"SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'json null) default character set utf8 collate utf8_unicode_ci engine = InnoDB' at line 1 (SQL: create table `peterhegman_slickslider_slide_shows` (`id` int unsigned not null auto_increment primary key, `slide_show_title` varchar(255) null, `slide_show_content` json null) default character set utf8 collate utf8_unicode_ci engine = InnoDB)" on line 664 of /home/MySite/public_html/vendor/laravel/framework/src/Illuminate/Database/Connection.php

PHP version 7.1 MySQL version 5.6.36

Any help appreciated. 8-)

Last updated

daftspunk
daftspunk

Looks like this plugin is using the json database type The solution is to upgrade to MySQL 5.7 and the author should add this to the plugin requirements.

GreyGhost
GreyGhost

Thanks for the reply daftspunk, Unfortunately I'm unable to upgrade to 5.7. I'm on cPanel/WHM reseller setup where I run a few sites for family/friends & a few non-profits I'm involved with and after investigating an upgrade it appears cPanel don't yet support MySQL 5.7

8-/

daftspunk said:

Looks like this plugin is using the json database type The solution is to upgrade to MySQL 5.7 and the author should add this to the plugin requirements.

daftspunk
daftspunk

This is precisely why we don't recommend using the json column type yet, it is still young. The author of this plugin can replace this to a text column type to retain the support with older MySQL versions.

phegman19388
phegman19388

Hi All,

Thanks for the heads up and the help diagnosing the problem, much appreciated! I just released an update that should fix the issue.

Cheers, Pete

1-5 of 5